package com.zcloud.domain.domain.gateway;

import com.zcloud.domain.domain.model.ProjectTaskGroupUserE;

import java.util.List;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2026-01-29 11:28:09
 */
public interface ProjectTaskGroupUserGateway {

    /**
     * 新增
     */
    Boolean add(ProjectTaskGroupUserE projectTaskGroupUserE);

    /**
     * 修改
     */
    Boolean update(ProjectTaskGroupUserE projectTaskGroupUserE);

    /**
     * 删除
     */
    Boolean deletedProjectTaskGroupUserById(Long id);

    Boolean deletedProjectTaskGroupUserByIds(Long[] id);

}

